%define         debug_package          %{nil}

%global         upname   theano
%define         capname  Theano
%define         srcname  Theano-PyMC


Name:           python-theano
Version:        1.1.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        A Python library for evaluating mathematical expressions
License:        MIT
URL:            http://www.deeplearning.net/software/theano/
Source0:        https://github.com/Theano/Theano/releases/%{srcname}-%{version}.tar.gz

BuildArch:      noarch


%description
Theano is a Python library that allows you to define, optimize, and
evaluate mathematical expressions involving multi-dimensional arrays
efficiently. Theano features:

* tight integration with NumPy – Use numpy.ndarray in Theano-compiled functions.
* transparent use of a GPU – Perform data-intensive computations much faster than on a CPU.
* efficient symbolic differentiation – Theano does your derivatives for functions with one or many inputs.
* speed and stability optimizations – Get the right answer for log(1+x) even when x is really tiny.
* dynamic C code generation – Evaluate expressions faster.
* extensive unit-testing and self-verification – Detect and diagnose many types of errors.

Theano has been powering large-scale computationally intensive
scientific investigations since 2007. But it is also approachable
enough to be used in the classroom.




%package -n python3-%{upname}
Summary:        A Python3 library for evaluating mathematical expressions
BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(scipy)

%description -n python3-%{upname}
Theano is a Python library that allows you to define, optimize, and
evaluate mathematical expressions involving multi-dimensional arrays
efficiently. Theano features:

* tight integration with NumPy – Use numpy.ndarray in Theano-compiled functions.
* transparent use of a GPU – Perform data-intensive computations much faster than on a CPU.
* efficient symbolic differentiation – Theano does your derivatives for functions with one or many inputs.
* speed and stability optimizations – Get the right answer for log(1+x) even when x is really tiny.
* dynamic C code generation – Evaluate expressions faster.
* extensive unit-testing and self-verification – Detect and diagnose many types of errors.

Theano has been powering large-scale computationally intensive
scientific investigations since 2007. But it is also approachable
enough to be used in the classroom.


%prep
%setup -q -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files theano

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.rst LICENSE.txt
%{_bindir}/theano-cache
%{python3_sitelib}/bin/*
%{python3_sitelib}/tests/*





%changelog
* Sun Dec 04 2022 eatdirt <eatdirt> 1.1.2-1.mga9
+ Revision: 1917600
- Upgrade to version 1.1.2
+ neoclust <neoclust>
- New version  1.1.2

* Tue Apr 05 2022 umeabot <umeabot> 1.0.5-4.mga9
+ Revision: 1844179
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 1.0.5-3.mga9
+ Revision: 1781612
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.5-2.mga9
+ Revision: 1732394
- Rebuild for python 3.9

* Fri Sep 04 2020 eatdirt <eatdirt> 1.0.5-1.mga8
+ Revision: 1621911
- Upgrade to version 1.0.5

* Sun Feb 16 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1532689
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.0.4-2.mga8
+ Revision: 1442606
- rebuild for python-3.8
- drop python2 subpkg

* Wed Mar 06 2019 eatdirt <eatdirt> 1.0.4-1.mga7
+ Revision: 1371995
- Upgrade to version 1.0.4

* Wed Jan 09 2019 shlomif <shlomif> 1.0.2-3.mga7
+ Revision: 1353937
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1290429
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 eatdirt <eatdirt> 1.0.2-1.mga7
+ Revision: 1252217
- imported package python-theano

